Package ru.bitel.bgbilling.plugins.helpdesk.server.bean

# Class ParamManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.plugins.helpdesk.server.bean.ParamManager

public class ParamManager extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
Класс для хранения пользовательских параметров для системы HelpDesk

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer`
  `plugin`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParamManager(Connection con, ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer plugin)`
  Конструктор по умолчанию

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContractCurrentMode(int contractId)`
  `protected String`
  `getDBTableName(String name)`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `getModeList()`
  `Properties`
  `getProperties(int contractId)`
  Возращает все сохраненные параметры для заданного договора
  `void`
  `setProperties(int contractId, Properties properties)`
  Сохраняем в БД параметры для заданного договора.

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### plugin

    protected ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer plugin

- ## Constructor Details

  - ### ParamManager

    public ParamManager(Connection con, ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer plugin)
    Конструктор по умолчанию
    Parameters:
      `con` - - коннект к БД
      `plugin` - - ссылка на объект с данными плагина

- ## Method Details

  - ### getDBTableName

    protected String getDBTableName(String name)

  - ### getModeList

    public List<ru.bitel.bgbilling.common.model.KeyValue> getModeList()

  - ### getContractCurrentMode

    public String getContractCurrentMode(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getProperties

    public Properties getProperties(int contractId) throws ru.bitel.bgbilling.common.BGException
    Возращает все сохраненные параметры для заданного договора
    Parameters:
      `contractId` - - код договора
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### setProperties

    public void setProperties(int contractId, Properties properties) throws ru.bitel.bgbilling.common.BGException
    Сохраняем в БД параметры для заданного договора. Все ранее сохраненные значения удаляются.
    Parameters:
      `contractId` - - код договора
      `properties` - - сохраняемые значения
    Throws:
      `ru.bitel.bgbilling.common.BGException`